@charset "utf-8";
@import '../../_variables.sass';

.chart-thumbnail {
  transition: $transition;
  padding: $thumbnail-margin;
  box-shadow: $card-shadow !important;
  .button {
    opacity: 0;
    @media screen and (max-width: $desktop) {
      opacity: 1;
    }
    /*Ipad pro*/
    @media only screen and (min-width: 1024px) and (max-height: 1366px) and (orientation: landscape) and (-webkit-min-device-pixel-ratio: 1.5) {
      opacity: 1;
    }
    transition: opacity 0.3s;
  }
  &:hover {
    cursor: zoom-in;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
    .button {
      opacity: 1;
    }
  }
  .card-header {
    padding-top: 0.75rem;
    height: 3.6rem;
    overflow: hidden;
    &:nth-of-type(2) {
      align-items: self-start;
      height: 3.2rem;
      margin-top: -0.75rem;
      // https://css-tricks.com/line-clampin/
      .is-fading {
        height: 3.2rem;
        position: relative;
        line-height: 1.2;
        &:after {
          content: '';
          text-align: right;
          position: absolute;
          bottom: 0.875rem;
          right: 0;
          width: 30%;
          height: 1rem;
          background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) 50%);
        }
      }
    }
  }
  .card-header-title {
    padding: 0 0.75rem;
    align-items: flex-start;
  }

  .card-header-icon {
    flex: 1 0 auto;
    padding: 0;
    margin-top: -0.75rem;
    display: flex;
    justify-content: flex-end;
  }

  .card-content {
    padding: 0.75rem;
    height: 200px;
    transition: all 0.2s ease-in-out;
    &:hover {
      transform: scale(0.97);
    }
    .recharts-wrapper > svg.recharts-surface:hover {
      cursor: zoom-in;
    }
  }

  .card-footer-item {
    justify-content: flex-end;
    padding: 0 0.75rem 0.75rem 0;
  }
}
